This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 618207 - Unable to add new entry to /etc/fstab
Summary: Unable to add new entry to /etc/fstab
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marek Grac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 619040
TreeView+ depends on / blocked
 
Reported: 2010-07-26 12:15 UTC by Kamil Páral
Modified: 2010-09-11 08:58 UTC (History)
7 users (show)

Fixed In Version: system-config-lvm-1.1.15-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 619040 672948 (view as bug list)
Environment:
Last Closed: 2010-09-11 08:58:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kamil Páral 2010-07-26 12:15:54 UTC
Description of problem:
When I try to create new LV and check "mount when rebooted" option and fill in mount point text field, I get this traceback:

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 656, in on_new_lv
    if dlg.run() == False:
  File "/usr/share/system-config-lvm/InputController.py", line 1351, in run
    if self.apply() == True:
  File "/usr/share/system-config-lvm/InputController.py", line 2041, in apply
    Fstab.add(None, lv_path, mountpoint_new, filesys_new.fsname)
  File "/usr/share/system-config-lvm/Fstab.py", line 27, in add
    fstab = __remove_and_replace(dev_path_old, line)
  File "/usr/share/system-config-lvm/Fstab.py", line 43, in __remove_and_replace
    paths = get_all_paths(mnt_device)
  File "/usr/share/system-config-lvm/Fstab.py", line 114, in get_all_paths
    follow_links_to_target(dev_path, paths)
  File "/usr/share/system-config-lvm/utilities.py", line 6, in follow_links_to_target
    o, s = execWithCaptureStatus('/bin/readlink', ['/bin/readlink', '-e', path])
  File "/usr/share/system-config-lvm/execute.py", line 15, in execWithCaptureStatus
    res = execWithCaptureErrorStatus(bin, args)
  File "/usr/share/system-config-lvm/execute.py", line 22, in execWithCaptureErrorStatus
    command = command + ' ' + arg
TypeError: cannot concatenate 'str' and 'NoneType' objects

The dialog then stays stuck and must be closed with titlebar close button. The LV is created, filesystem is created, but /etc/fstab is not modified and filesystem is not mounted.

Version-Release number of selected component (if applicable):
system-config-lvm-1.1.14-2.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1. Hit Create new LV
2. Select name, size, filesystem, select "mount when rebooted", fill in mount point
3. Hit OK

Comment 2 Fedora Update System 2010-09-02 15:18:09 UTC
system-config-lvm-1.1.15-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-lvm-1.1.15-1.fc13

Comment 3 Fedora Update System 2010-09-02 20:49:24 UTC
system-config-lvm-1.1.15-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-lvm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-lvm-1.1.15-1.fc13

Comment 4 Kamil Páral 2010-09-03 07:59:29 UTC
Verified, problem fixed.

Comment 5 Fedora Update System 2010-09-11 08:58:48 UTC
system-config-lvm-1.1.15-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.